Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.custom.model
Interface VCustomDomainModelReference

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, ModelChangeListener, org.eclipse.emf.common.notify.Notifier, VDomainModelReference

All Known Implementing Classes:
  VCustomDomainModelReferenceImpl

    public interface VCustomDomainModelReference

extends VDomainModelReference

A representation of the model object 'Domain Model Reference'.

The following features are supported:

- `Domain Model References`
- `Bundle Name`
- `Class Name`
- `Control Checked`

Since:
  1.3
See Also:
  `VCustomPackage.getCustomDomainModelReference()`

Method Summary
`String` | `getBundleName()` Returns the value of the 'Bundle Name' attribute.
`String` | `getClassName()` Returns the value of the 'Class Name' attribute.
`org.eclipse.emf.common.util.EList<VDomainModelReference>` | `getDomainModelReferences()` Returns the value of the 'Domain Model References' containment reference list.
`boolean` | `isControlChecked()` Returns the value of the 'Control Checked' attribute.
`void` | `setBundleName(String value)` Sets the value of the ' `Bundle Name`' attribute.
`void` | `setClassName(String value)` Sets the value of the '`Class Name`' attribute.
`void` | `setControlChecked(boolean value)` Sets the value of the ' `Control Checked`' attribute.

Methods inherited from interface org.eclipse.emf.ecp.view.spi.model.VDomainModelReference
`getChangeListener, getEStructuralFeatureIterator, getFullPathIterator, getIterator, init`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecp.view.spi.model.ModelChangeListener
`notifyChange`

Method Detail

### getDomainModelReferences

    org.eclipse.emf.common.util.EList<VDomainModelReference> getDomainModelReferences()

  Returns the value of the 'Domain Model References' containment reference list. The list contents are of type `VDomainModelReference`.

  If the meaning of the 'Domain Model References' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Domain Model References' containment reference list.
  See Also:
    `VCustomPackage.getCustomDomainModelReference_DomainModelReferences()`

### getBundleName

    String getBundleName()

  Returns the value of the 'Bundle Name' attribute.

  If the meaning of the 'Bundle Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Bundle Name' attribute.
  See Also:
    `setBundleName(String)`, `VCustomPackage.getCustomDomainModelReference_BundleName()`

### setBundleName

    void setBundleName(String value)

  Sets the value of the ' `Bundle Name`' attribute.

  Parameters:
    `value` - the new value of the 'Bundle Name' attribute.
  See Also:
    `getBundleName()`

### getClassName

    String getClassName()

  Returns the value of the 'Class Name' attribute.

  If the meaning of the 'Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Class Name' attribute.
  See Also:
    `setClassName(String)`, `VCustomPackage.getCustomDomainModelReference_ClassName()`

### setClassName

    void setClassName(String value)

  Sets the value of the '`Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Class Name' attribute.
  See Also:
    `getClassName()`

### isControlChecked

    boolean isControlChecked()

  Returns the value of the 'Control Checked' attribute. The default value is `"false"`.

  If the meaning of the 'Control Checked' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Control Checked' attribute.
  See Also:
    `setControlChecked(boolean)`, `VCustomPackage.getCustomDomainModelReference_ControlChecked()`

### setControlChecked

    void setControlChecked(boolean value)

  Sets the value of the ' `Control Checked`' attribute.

  Parameters:
    `value` - the new value of the 'Control Checked' attribute.
  See Also:
    `isControlChecked()`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.